# Makefile for Common Directory of CDEV
#
# cdev common directory
#
# Makefile,v
# Revision 1.9  1998/08/17  14:04:52  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.8  1998/02/10  18:04:55  chen
# add cdevSystem timer handler
#
# Revision 1.7  1996/07/10  21:03:43  chen
# add mkdir -p
#
# Revision 1.6  1996/06/26  15:54:12  akers
# Modifications to support multiple OS Versions
#
# Revision 1.5  1996/05/14  20:38:08  akers
# Makefile modifications
#
# Revision 1.4  1995/11/14  17:32:45  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

XTRACXXFLAGS = -I/usr/include/CC

OBJS =	$(OBJTYPE)/cdevFdSet.o \
	$(OBJTYPE)/shObjLoader.o \
	$(OBJTYPE)/cdevTimeValue.o \
	$(OBJTYPE)/cdevClock.o \
	$(OBJTYPE)/cdevSlist.o \
	$(OBJTYPE)/cdevStrHash.o \
	$(OBJTYPE)/cdevIntHash.o \
	$(OBJTYPE)/cdevTimerQueue.o

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir -p $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
	
